## apertium-es-ca 1.0.1

=== Makefile ===
VERSION=1.0.1
LANG1=es
LANG2=ca
PREFIX1=$(LANG1)-$(LANG2)
PREFIX2=$(LANG2)-$(LANG1)
TAGGER1=$(LANG1)-tagger-data
TAGGER2=$(LANG2)-tagger-data

TAGGER_UNSUPERVISED_ITERATIONS=8

#Do not modify this, if you do that make sure *.crp.txt files exist
TAGGER_SUPERVISED_ITERATIONS=0

BASENAME=apertium-$(PREFIX1)

TARGETS_COMMON = $(PREFIX1).automorf.bin $(PREFIX1).autobil.bin $(PREFIX1).autogen.bin \
     $(PREFIX1).autopgen.bin $(PREFIX2).automorf.bin $(PREFIX2).autobil.bin \
     $(PREFIX2).autogen.bin $(PREFIX2).autopgen.bin

TARGETS = $(TARGETS_COMMON) trules-$(PREFIX1).bin trules-$(PREFIX2).bin \
          trules-$(PREFIX1).xml trules-$(PREFIX2).xml

TARGETS_OLD = $(TARGETS_COMMON) $(PREFIX1).transfer $(PREFIX1).tagger \
              $(PREFIX2).transfer $(PREFIX2).tagger 

TARGETS_TAGGER_UNSUP=$(TAGGER1)/$(LANG1).dic \
                     $(TAGGER2)/$(LANG2).dic \
                     $(TAGGER1)/$(LANG1).crp $(TAGGER2)/$(LANG2).crp

TARGETS_TAGGER_SUP= $(TAGGER1)/$(LANG1).dic \
                   $(TAGGER1)/$(LANG1).tagged \
                   $(TAGGER1)/$(LANG1).untagged \
                   $(TAGGER2)/$(LANG2).dic \
                   $(TAGGER2)/$(LANG2).tagged \
                   $(TAGGER2)/$(LANG2).untagged

TARGETS_TAGGER_COMMON = $(PREFIX1).prob $(PREFIX2).prob 

DISTFILES = $(BASENAME).$(LANG1).dix $(BASENAME).$(LANG2).dix \
	    $(BASENAME).$(PREFIX1).dix $(BASENAME).post-$(LANG1).dix \
	    $(BASENAME).post-$(LANG2).dix $(BASENAME).$(LANG1).tsx \
	    $(BASENAME).$(LANG2).tsx $(BASENAME).trules-$(PREFIX1).xml \
	    $(BASENAME).trules-$(PREFIX2).xml Makefile $(TAGGER1)/$(LANG1).tagged \
	    $(TAGGER2)/$(LANG2).tagged  $(TAGGER1)/$(LANG1).tagged.txt \
	    $(TAGGER2)/$(LANG2).tagged.txt README COPYING \
	    $(PREFIX1).prob $(PREFIX2).prob
	    
DISTCOMP = $(PREFIX1).automorf.bin $(PREFIX2).automorf.bin \
           $(PREFIX1).autobil.bin $(PREFIX2).autobil.bin \
           $(PREFIX1).autogen.bin $(PREFIX2).autogen.bin \
           $(PREFIX1).autopgen.bin $(PREFIX2).autopgen.bin \
           trules-$(PREFIX1).xml trules-$(PREFIX2).xml \
           trules-$(PREFIX1).bin trules-$(PREFIX2).bin \
           $(PREFIX1).prob $(PREFIX2).prob

all: $(TARGETS)
	@rm -f .old 

old: $(TARGETS_OLD)
	@touch .old

tagger_train: tagger_supervised

tagger_supervised: .tagger_supervised $(TARGETS_TAGGER_SUP) $(TARGETS_TAGGER_COMMON)

.tagger_supervised:
	@if [[ -e .tagger_unsupervised ]]; \
	then rm -f $(TARGETS_TAGGER_COMMON) .tagger_unsupervised; \
	rm -f $(TAGGER1)/$(LANG1).crp $(TAGGER2)/$(LANG2).crp; \
	fi;
	@touch .tagger_supervised

tagger_unsupervised: .tagger_unsupervised $(TARGETS_TAGGER_UNSUP) $(TARGETS_TAGGER_COMMON)

.tagger_unsupervised:
	@if [[ -e .tagger_supervised ]];\
	then rm -f $(TARGETS_TAGGER_COMMON) .tagger_supervised; \
	rm -f $(TAGGER1)/$(LANG1).crp $(TAGGER2)/$(LANG2).crp; \
	fi;
	@touch .tagger_unsupervised

clean: 
	rm -f $(TARGETS) $(PREFIX1).tagger $(PREFIX1).transfer \
	                 $(PREFIX2).tagger $(PREFIX2).transfer

tagger_clean:
	rm -f $(PREFIX1).amb $(PREFIX1).prob \
	      $(PREFIX2).amb $(PREFIX2).prob \
	      $(TAGGER1)/$(LANG1).crp $(TAGGER2)/$(LANG2).crp \
	      $(TAGGER1)/$(LANG1).dic $(TAGGER2)/$(LANG2).dic \
	      $(TAGGER1)/$(LANG1).untagged $(TAGGER2)/$(LANG2).untagged 

$(PREFIX1).automorf.bin: $(BASENAME).$(LANG1).dix
	apertium-validate-dictionary $(BASENAME).$(LANG1).dix
	lt-comp lr $(BASENAME).$(LANG1).dix $@

$(PREFIX1).autobil.bin: $(BASENAME).$(PREFIX1).dix
	apertium-validate-dictionary $(BASENAME).$(PREFIX1).dix
	lt-comp lr $(BASENAME).$(PREFIX1).dix $@

$(PREFIX1).autogen.bin: $(BASENAME).$(LANG2).dix
	apertium-validate-dictionary $(BASENAME).$(LANG2).dix
	lt-comp rl $(BASENAME).$(LANG2).dix $@

$(PREFIX1).autopgen.bin: $(BASENAME).post-$(LANG2).dix
	apertium-validate-dictionary $(BASENAME).post-$(LANG2).dix
	lt-comp lr $(BASENAME).post-$(LANG2).dix $@

$(PREFIX2).automorf.bin: $(BASENAME).$(LANG2).dix
	apertium-validate-dictionary $(BASENAME).$(LANG2).dix
	lt-comp lr $(BASENAME).$(LANG2).dix $@

$(PREFIX2).autobil.bin: $(BASENAME).$(PREFIX1).dix
	apertium-validate-dictionary $(BASENAME).$(PREFIX1).dix
	lt-comp rl $(BASENAME).$(PREFIX1).dix $@

$(PREFIX2).autogen.bin: $(BASENAME).$(LANG1).dix
	apertium-validate-dictionary $(BASENAME).$(LANG1).dix
	lt-comp rl $(BASENAME).$(LANG1).dix $@

$(PREFIX2).autopgen.bin: $(BASENAME).post-$(LANG1).dix
	apertium-validate-dictionary $(BASENAME).post-$(LANG1).dix
	lt-comp lr $(BASENAME).post-$(LANG1).dix $@

trules-$(PREFIX1).bin: $(BASENAME).trules-$(PREFIX1).xml
	apertium-validate-transfer $(BASENAME).trules-$(PREFIX1).xml
	apertium-preprocess-transfer $(BASENAME).trules-$(PREFIX1).xml \
	                             trules-$(PREFIX1).bin
	                             
trules-$(PREFIX2).bin: $(BASENAME).trules-$(PREFIX2).xml
	apertium-validate-transfer $(BASENAME).trules-$(PREFIX2).xml
	apertium-preprocess-transfer $(BASENAME).trules-$(PREFIX2).xml \
	                             trules-$(PREFIX2).bin

trules-$(PREFIX1).xml: $(BASENAME).trules-$(PREFIX1).xml
	ln -s $(BASENAME).trules-$(PREFIX1).xml trules-$(PREFIX1).xml

trules-$(PREFIX2).xml: $(BASENAME).trules-$(PREFIX2).xml
	ln -s $(BASENAME).trules-$(PREFIX2).xml trules-$(PREFIX2).xml


$(PREFIX1).tagger: $(BASENAME).$(LANG1).tsx
	apertium-gen-tagger -O $(BASENAME).$(LANG1).tsx $@

$(PREFIX2).tagger: $(BASENAME).$(LANG2).tsx
	apertium-gen-tagger -O $(BASENAME).$(LANG2).tsx $@

$(PREFIX1).transfer: $(BASENAME).trules-$(PREFIX1).xml
	apertium-gen-transfer -O $(BASENAME).trules-$(PREFIX1).xml $@

$(PREFIX2).transfer: $(BASENAME).trules-$(PREFIX2).xml
	apertium-gen-transfer -O $(BASENAME).trules-$(PREFIX2).xml $@

$(TAGGER1)/$(LANG1).dic: $(BASENAME).$(LANG1).dix $(PREFIX1).automorf.bin
	@echo "Generating $@";
	@echo "This may take some time. Please, take a cup of coffee and come back later.";
	apertium-validate-dictionary $(BASENAME).$(LANG1).dix
	apertium-validate-tagger $(BASENAME).$(LANG1).tsx
	lt-expand $(BASENAME).$(LANG1).dix | grep -v "__REGEXP__" | grep -v ":<:" |\
	gawk 'BEGIN{FS=":>:|:"}{print $$1;}' | apertium-destxt >$(LANG1).dic.expanded
	@echo "." >>$(LANG1).dic.expanded
	@echo "?" >>$(LANG1).dic.expanded
	@echo ";" >>$(LANG1).dic.expanded
	@echo ":" >>$(LANG1).dic.expanded
	@echo "!" >>$(LANG1).dic.expanded
	@echo "42" >>$(LANG1).dic.expanded
	@echo "," >>$(LANG1).dic.expanded
	@echo "(" >>$(LANG1).dic.expanded
	@echo "\\[" >>$(LANG1).dic.expanded
	@echo ")" >>$(LANG1).dic.expanded
	@echo "\\]" >>$(LANG1).dic.expanded
	@echo "" >>$(LANG1).dic.expanded
	@echo "" >>$(LANG1).dic.expanded
	lt-proc -a $(PREFIX1).automorf.bin <$(LANG1).dic.expanded | \
	apertium-filter-ambiguity $(BASENAME).$(LANG1).tsx > $@
	rm $(LANG1).dic.expanded;

$(TAGGER2)/$(LANG2).dic: $(BASENAME).$(LANG2).dix $(PREFIX2).automorf.bin
	@echo "Generating $@";
	@echo "This may take some time. Please, take a cup of coffee and come back later.";
	apertium-validate-dictionary $(BASENAME).$(LANG2).dix
	apertium-validate-tagger $(BASENAME).$(LANG2).tsx
	lt-expand $(BASENAME).$(LANG2).dix | grep -v "__REGEXP__" | grep -v ":<:" |\
	gawk 'BEGIN{FS=":>:|:"}{print $$1;}' | apertium-destxt >$(LANG2).dic.expanded
	@echo "." >>$(LANG2).dic.expanded
	@echo "?" >>$(LANG2).dic.expanded
	@echo ";" >>$(LANG2).dic.expanded
	@echo ":" >>$(LANG2).dic.expanded
	@echo "!" >>$(LANG2).dic.expanded
	@echo "42" >>$(LANG2).dic.expanded
	@echo "," >>$(LANG2).dic.expanded
	@echo "(" >>$(LANG2).dic.expanded
	@echo "\\[" >>$(LANG2).dic.expanded
	@echo ")" >>$(LANG2).dic.expanded
	@echo "\\]" >>$(LANG2).dic.expanded
	@echo "" >>$(LANG2).dic.expanded
	@echo "" >>$(LANG2).dic.expanded
	lt-proc -a $(PREFIX2).automorf.bin <$(LANG2).dic.expanded | \
	apertium-filter-ambiguity $(BASENAME).$(LANG2).tsx > $@
	rm $(LANG2).dic.expanded;
	
$(TAGGER1)/$(LANG1).crp.txt:
	@if [ -e .tagger_unsupervised ]; \
	then echo "Error: File '"$(TAGGER1)/$(LANG1).crp"' is needed to perform an unsupervised tagger training" 1>&2; \
	echo "In order to generate the file '"$(TAGGER1)/$(LANG1).crp"' the file '"$(TAGGER1)/$(LANG1).crp.txt"' must exist" 1>&2; \
	echo "Please provide a large raw txt corpus with at least 200000 words." 1>&2; \
	exit 1; \
	else touch $@; \
	fi
	

$(TAGGER2)/$(LANG2).crp.txt:
	@if [ -e .tagger_unsupervised ]; \
	then echo "Error: File '"$(TAGGER2)/$(LANG2).crp"' is needed to perform an unsupervised tagger training" 1>&2; \
	echo "In order to generate the file '"$(TAGGER2)/$(LANG2).crp"' the file '"$(TAGGER2)/$(LANG2).crp.txt"' must exist" 1>&2; \
	echo "Please provide a large raw txt corpus with at least 200000 words." 1>&2; \
	exit 1; \
	else touch $@; \
	fi

$(TAGGER1)/$(LANG1).tagged:
	@if [ -e .tagger_supervised ]; \
	then echo "Error: File '"$@"' is needed to perform a supervised tagger training" 1>&2; \
	echo "This file should exist. It is the result of solving the ambiguity from the '"$(TAGGER1)/$(LANG1).tagged.txt"' file" 1>&2; \
	exit 1; \
	else touch $@; \
	fi;

$(TAGGER2)/$(LANG2).tagged:
	@if [ -e .tagger_supervised ]; \
	then echo "Error: File '"$@"' is needed to perform a supervised tagger training" 2>&2; \
	echo "This file should exist. It is the result of solving the ambiguity from the '"$(TAGGER2)/$(LANG2).tagged.txt"' file" 1>&2; \
	exit 1; \
	else touch $@; \
	fi;

$(TAGGER1)/$(LANG1).tagged.txt:
	@if [ -e .tagger_supervised ]; \
	then echo "Error: File '"$@"' is needed to perform a supervised tagger training" 1>&2; \
	echo "In order to generate the file '"$(TAGGER1)/$(LANG1).untagged"' the file '"$@"' must exist" 1>&2; \
	exit 1; \
	else touch $@; \
	fi;

$(TAGGER2)/$(LANG2).tagged.txt:
	@if [ -e .tagger_supervised ]; \
	then echo "Error: File '"$@"' is needed to perform a supervised tagger training" 2>&2; \
	echo "In order to generate the file '"$(TAGGER2)/$(LANG2).untagged"' the file '"$@"' must exist" 2>&2; \
	exit 1; \
	else touch $@; \
	fi;
	
$(TAGGER1)/$(LANG1).untagged: $(TAGGER1)/$(LANG1).tagged.txt $(PREFIX1).automorf.bin
	cat $(TAGGER1)/$(LANG1).tagged.txt | apertium-destxt | lt-proc $(PREFIX1).automorf.bin  > $@; 

$(TAGGER2)/$(LANG2).untagged: $(TAGGER2)/$(LANG2).tagged.txt $(PREFIX2).automorf.bin
	cat $(TAGGER2)/$(LANG2).tagged.txt | apertium-destxt | lt-proc $(PREFIX2).automorf.bin  > $@

$(PREFIX1).prob: $(BASENAME).$(LANG1).tsx $(TAGGER1)/$(LANG1).dic $(TAGGER1)/$(LANG1).untagged $(TAGGER1)/$(LANG1).tagged $(TAGGER1)/$(LANG1).crp
	@echo "Generating $@";
	@echo "This may take some time...";
	apertium-validate-tagger $(BASENAME).$(LANG1).tsx;
	if [ -e .old ]; \
	then make $(PREFIX1).tagger; \
	     if [ -e .tagger_unsupervised ]; \
	     then ./$(PREFIX1).tagger --train $(TAGGER_UNSUPERVISED_ITERATIONS)  $(TAGGER1)/$(LANG1); \
	     else ./$(PREFIX1).tagger --train $(TAGGER_SUPERVISED_ITERATIONS) --supervised $(TAGGER1)/$(LANG1);\
	     fi; \
	     mv $(TAGGER1)/$(LANG1).prob ./$(PREFIX1).prob; \
    	     mv $(TAGGER1)/$(LANG1).amb ./$(PREFIX1).amb; \
    	fi; \
        if [ ! -e .old ]; \
          then if [ -e .tagger_unsupervised ]; \
             then apertium-tagger -t $(TAGGER_UNSUPERVISED_ITERATIONS) \
                                     $(TAGGER1)/$(LANG1).dic \
                                     $(TAGGER1)/$(LANG1).crp \
                                     $(BASENAME).$(LANG1).tsx \
                                     $(PREFIX1).prob; \
             else apertium-tagger -s $(TAGGER_SUPERVISED_ITERATIONS) $(TAGGER1)/$(LANG1).dic \
                                  $(TAGGER1)/$(LANG1).dic \
                                  $(BASENAME).$(LANG1).tsx \
                                  $(PREFIX1).prob \
                                  $(TAGGER1)/$(LANG1).tagged \
                                  $(TAGGER1)/$(LANG1).untagged; \
             fi; \
         fi;

$(PREFIX2).prob: $(BASENAME).$(LANG2).tsx $(TAGGER2)/$(LANG2).dic  $(TAGGER2)/$(LANG2).untagged $(TAGGER2)/$(LANG2).tagged $(TAGGER2)/$(LANG2).crp
	@echo "Generating $@";
	@echo "This may take some time...";
	apertium-validate-tagger $(BASENAME).$(LANG2).tsx
	if [ -e .old ]; \

## apertium-es-ca 1.2.1+svn~57448

=== debian/changelog ===
apertium-es-ca (1.2.1+svn~57448-3) unstable; urgency=low

  [ Tino Didriksen ]
  * debian/control:
    + Update Build-Depends.
  * debian/copyright:
    + Fixed copyright.

  [ Kartik Mistry ]
  * Uploaded to unstable.
  * Rebuilt for apertium (> 3.3).

 -- Kartik Mistry <kartik@debian.org>  Tue, 07 Jul 2015 18:39:46 +0530

apertium-es-ca (1.2.1+svn~57448-2) experimental; urgency=low

  * debian/control:
    + Fixed Vcs-* fields.

 -- Kartik Mistry <kartik@debian.org>  Sat, 11 Oct 2014 12:37:31 +0530

apertium-es-ca (1.2.1+svn~57448-1) experimental; urgency=low

  * New upstream SVN snapshot to fix regression with ca-es pair.
  * debian/control:
    + Updated Standards-Version to 3.9.6
    + Added missing Vcs-* fields.

 -- Kartik Mistry <kartik@debian.org>  Mon, 06 Oct 2014 12:30:30 +0530

apertium-es-ca (1.2.1-1) experimental; urgency=low

  [ Tino Didriksen ]
  * New upstream release. Updated configure.ac/Makefile.am to build correctly.
  * Updated debian/rules to use dh rules.

  [ Kartik Mistry ]
  * Added myself as Uploaders.
  * wrap-and-sort control and other files.
  * Added watch file.

 -- Kartik Mistry <kartik@debian.org>  Thu, 25 Sep 2014 13:49:31 +0530

apertium-es-ca (1.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild package to fix "Unknown error matching regexp" (Closes: #726590)

 -- Kartik Mistry <kartik@debian.org>  Mon, 07 Jul 2014 21:45:09 +0000

apertium-es-ca (1.1.0-1) unstable; urgency=low

  * New upstream release
  * Added depends with apertium-pcre2

 -- Francis Tyers <ftyers@prompsit.com>  Sun, 01 Mar 2009 21:12:33 +0000

apertium-es-ca (1.0.5-2) unstable; urgency=low

  * Fixed build-depends (Closes: #447462)

 -- Francis Tyers <ftyers@prompsit.com>  Mon, 22 Oct 2007 16:25:09 +0100

apertium-es-ca (1.0.5-1) unstable; urgency=low

  * Licence changed to GPL
  * Depends on apertium-3.0

 -- Francis Tyers <ftyers@prompsit.com>  Mon, 08 Oct 2007 08:51:46 +0100

apertium-es-ca (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #320934)

 -- Francis Tyers <f.tyers@uea.ac.uk>  Mon, 18 Sep 2006 21:42:00 +0100

=== debian/control ===
Source: apertium-es-ca
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tino Didriksen <mail@tinodidriksen.com>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: apertium (>= 3.3),
               autotools-dev,
               debhelper (>= 8.0),
               dh-autoreconf,
               gawk,
               apertium-dev,
               locales,
               pkg-config (>= 0.21)
Standards-Version: 3.9.6
Homepage: http://apertium.org/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/apertium-es-ca.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/apertium-es-ca.git

Package: apertium-es-ca
Architecture: all
Depends: apertium (>= 3.3), ${misc:Depends}, ${shlibs:Depends}
Provides: apertium-ca-es
Conflicts: apertium-ca-es
Description: Apertium translation data for the Spanish-Catalan pair
 This data package provides Apertium language resources for translating
 between the Spanish (es) and Catalan (ca) languages.
 .
 This package also provides Catalan to Spanish language pair.

=== debian/watch ===
version=3
opts=filenamemangle=s/\S*download=//g \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=sf/apertium/apertium-es-ca \
.*=apertium-es-ca(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
